/*******************************************************************************
**3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
**      10        20        30        40        50        60        70        80
**
** project:
**    OpenGL/cairo anti-aliasing trick
**
** file:
**    cairo-utils.h
**
** author:
**    Mirco "MacSlow" Mueller <macslow@bangang.de>
**
** copyright (C) Mirco Mueller, December 2006, placed under the terms of the GPL
**
*******************************************************************************/

#ifndef _CAIRO_UTILS_H
#define _CAIRO_UTILS_H

#include <gtk/gtk.h>
#include <cairo.h>

#include "opengl.h"

void
cairo_draw_round_rect (cairo_t* pContext,
		       double fX,            /* top-left corner         */
		       double fY,            /* top-left corner         */
		       double fCornerRadius, /* "size" of the corners   */
		       double fWidth,        /* width of the rectangle  */
		       double fHeight        /* height of the rectangle */);

void
demultiply_alpha (guchar* pucPixelBuffer, /* pointer to image-data */
		  gint iWidth,            /* width of image        */
		  gint iHeight,           /* height of image       */
		  gint iStride            /* stride of image       */);

void
cairo_trim_image (guchar* pucPixelBuffer, /* pointer to image-data */
		  gint iWidth,            /* width of image        */
		  gint iHeight,           /* height of image       */
		  gint iStride            /* stride of image       */);

Texture*
cairo_text_to_texture (gchar* pcText, /* the text to render              */
		       gint iWidth,   /* width of window text appears in */
		       gint iHeight   /* height of window text appears in*/);

Texture*
cairo_logos_to_texture (gchar* pcSvgFileOne, /* full path first SVG-file  */
			gchar* pcSvgFileTwo, /* full path second SVG-file */
			gint iWidth,	     /* width of window           */
			gint iHeight	     /* height of window          */);

#endif /* _CAIRO_UTILS_H */
